> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gladeapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ASIN from GTIN

> Resolve and verify an Amazon ASIN from a GTIN.

The `gtin` query parameter is required and must have a valid check digit.


## OpenAPI

````yaml GET /api/amazon/product/asin-from-gtin
openapi: 3.1.0
info:
  title: Glade Amazon API
  version: 1.0.0
  description: >-
    Normalized Amazon product, search, seller, category, offer, review, deal,
    and estimate data.
servers:
  - url: https://gladeapi.com
security: []
paths:
  /api/amazon/product/asin-from-gtin:
    get:
      summary: Amazon Asin From Gtin
      description: Resolve and verify the ASIN associated with a GTIN.
      operationId: get_AmazonAsinFromGtin
      parameters:
        - name: domain
          in: query
          required: false
          description: Amazon marketplace code.
          schema:
            type: string
            enum:
              - US
              - UK
              - CA
              - DE
              - FR
              - IT
              - ES
              - AU
              - IN
              - MX
              - BR
              - JP
              - PL
            default: US
        - name: gtin
          in: query
          required: true
          description: A valid ISBN-10, UPC, EAN, or GTIN value.
          schema:
            type: string
      responses:
        '200':
          description: Successful Amazon data response
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: object
                    required:
                      - amazonProduct
                    properties:
                      amazonProduct:
                        $schema: http://json-schema.org/draft-07/schema#
                        type: object
                        properties:
                          asin:
                            anyOf:
                              - type: string
                                pattern: ^[A-Z0-9]{10}$
                              - type: 'null'
                          gtin:
                            type: string
                        additionalProperties: false
        '400':
          $ref: '#/components/responses/Error'
        '401':
          $ref: '#/components/responses/Error'
        '402':
          $ref: '#/components/responses/Error'
        '403':
          $ref: '#/components/responses/Error'
        '404':
          $ref: '#/components/responses/Error'
        '429':
          $ref: '#/components/responses/Error'
        '500':
          $ref: '#/components/responses/Error'
        '502':
          $ref: '#/components/responses/Error'
        '503':
          $ref: '#/components/responses/Error'
        '504':
          $ref: '#/components/responses/Error'
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
components:
  responses:
    Error:
      description: Standard error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      required:
        - success
        - errors
      properties:
        success:
          const: false
        errors:
          type: array
          items:
            type: object
            required:
              - code
              - message
            properties:
              code:
                type: integer
              message:
                type: string
              path:
                type: array
                items:
                  type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: API-KEY
    BearerAuth:
      type: http
      scheme: bearer

````